#ifndef NLLIBFDSOLVER_H
#define NLLIBFDSOLVER_H


#include <cudaPbsolver.h>
#include <time.h>
#include <profiler.h>
#include <string>
#include <cstdlib>
#include <cmath>
#include <cstdio>
#include <fstream>

using namespace std;

void nlfdsolver(double salt, int * __restrict__ idpos, double * __restrict__ dbcorrection, 
	double * __restrict__ even_divisor, double * __restrict__ odd_divisor, int * __restrict__ charge_index, 
	double * __restrict__ qval, double * __restrict__ even_phi, double * __restrict__ odd_phi,
	int number_dielectrics1, int number_dielectrics2, int number_charges1, int number_charges2, 
	double omega, int nx, int ny, int nz, double max_error, int max_iterations, string calculation_mode, bool *inoutPointer,
	bool imanual, int nnit, int *ival, int *ival2, double *conc, double *qmap1, double *qmap2, double qfact,
	double epsout, double deblen, double scale, double relpar);

#endif
