#ifndef NONLINEARLIBDELPHISOLVER_H
#define NONLINEARLIBDELPHISOLVER_H

#include <string>
#include <cstdlib>
#include <cmath>
#include <cstdio>
#include <nlfdsolver.h>

using namespace std;

extern "C" void NlDelphiSolverModule( void** __restrict__  idpos_, void** __restrict__  db_, void** __restrict__  sf1_,
	    void**  __restrict__ sf2_,void** __restrict__  iqpos_, void** __restrict__  qval_,int* icount2a_, int* icount2b_,
	    int* icount1a_, int* icount1b_, double* spec_, void** __restrict__ phimap_, void** __restrict__  phimap1_,void** __restrict__  phimap2_,
	    void** __restrict__  phimap3_, void** __restrict__  ibndx_, void** __restrict__  ibndy_, void** __restrict__  ibndz_,
	    void** __restrict__  bndx1_, void** __restrict__  bndx2_, void**  __restrict__ bndx3_, void**  __restrict__ bndx4_,
	    void** __restrict__ gval_, int* ibctyp_, int* isolvarch, double* rionst, int* igrid_, double* scale_, int* nlit, 
	    double* res2, void** __restrict__  inout_ , bool* imanual_, int* nnit_, int* ival1a, int* ival1b, int* ival2a, int* ival2b,
        double* conc1, double* conc2, void** qmap1_, void** qmap2_, double* qfact_, double* epsout_, double* deblen_, double* relpar_);
#endif
