#include <profiler.h>

void profiler(struct timespec &time0, struct timespec &time1, double &value) 
{	
	clock_gettime(CLOCK_REALTIME, &time1);
	value += (double)(time1.tv_sec - time0.tv_sec) + 1E-9 * (double)(time1.tv_nsec - time0.tv_nsec);
	clock_gettime(CLOCK_REALTIME, &time0); 
}

void initProfiler(struct timespec &time0) 
{	
	clock_gettime(CLOCK_REALTIME, &time0);
}
	
